Bug 750902 - Review Request: java-sleep - Multi-paradigm scripting language for Java
Review Request: java-sleep - Multi-paradigm scripting language for Java
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 750911
  Show dependency treegraph
 
Reported: 2011-11-02 14:28 EDT by Orion Poplawski
Modified: 2016-01-31 20:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-17 11:57:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jcapik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2011-11-02 14:28:57 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/sleep.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/sleep-2.1-1.fc16.src.rpm
Description:
Sleep ...

 - is a multi-paradigm scripting language for the Java Platform
 - easy to learn with Perl and Objective-C inspired syntax
 - executes scripts fast with a small package size (~250KB)
 - excels at data manipulation, component integration, and distributed
   communication
 - seamlessly uses Java objects and 3rd party libraries
Comment 1 Jaromír Cápík 2011-11-23 10:32:35 EST
Hello Orion. I'm gonna do this one.
Comment 2 Jaromír Cápík 2011-11-23 11:38:31 EST
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:

$ rpmlint sleep-2.1-1.fc17.noarch.rpm
sleep.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
sleep.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
sleep.noarch: E: incorrect-fsf-address /usr/share/doc/sleep-2.1/license.txt
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

$ rpmlint sleep-2.1-1.fc17.src.rpm 
sleep.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
sleep.src: W: spelling-error %description -l en_US multi -> mulch, mufti
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[!]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.

License type: LGPLv2

Issue:
Some source files contain BSD license statements. 
Some files contain the following:
  This software is distributed under the artistic license.

Please, clarify this issue with upstream.

[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[?]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package match the upstream source, as provided in the spec URL.

MD5SUM this package     : 1eaa4c491663d81a25e58a4f5e4ee895
MD5SUM upstream package : 1eaa4c491663d81a25e58a4f5e4ee895

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[!]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[!]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[!]  Javadoc documentation files are generated and included in -javadoc subpackage
[?]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[!]  Packages have proper BuildRequires/Requires on jpackage-utils
[?]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[-]  pom file has correct add_maven_depmap

=== Maven ===
[-]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

Tested on : fedora-rawhide-x86_64


=== Issues ===
1. Rpmlint output - FSF address is allowed to be patched
2. Buildroot definition IS present
3. Licensing - please, clarify the statements mixture in the source file headers with upstream
4. File sections CONTAIN %defattr(-,root,root,-)
5. Package HAS a %clean section which contains rm -rf $RPM_BUILD_ROOT)
6. Javadoc documentation files are NOT generated 
7. Package IS MISSING BuildRequires/Requires on jpackage-utils

=== Final Notes ===
1. Please, submit a bug in the sleep upstream tracker against missing Maven support.


[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 3 Orion Poplawski 2012-03-14 16:07:52 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/sleep.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/sleep-2.1-3.fc16.src.rpm

* Wed Mar 14 2012 Orion Poplawski <orion@cora.nwra.com> 2.1-3
- Updated license source

* Wed Nov 23 2011 Orion Poplawski <orion@cora.nwra.com> 2.1-2
- Drop BuildRoot, clean, defattr
- Add BR/R on jpackage-utils
- Build docs

License is now LGPLv2+ and BSD
Comment 4 Ralf Corsepius 2012-03-15 00:34:47 EDT
IMO, this package's name is not acceptable, because the name "sleep" collides with POSIX's "sleep" shell utility. 

I'd therefore suggest this package to be renamed into something less general and less provoking mis-interpretations, say java-sleep, jsleep or similar.
Comment 5 Orion Poplawski 2012-03-15 17:35:34 EDT
Fair point.  FWIW - mandriva and jpackage (admittedly biased) package it as "sleep".  Debian doesn't seem to have it.  I've asked upstream for suggestions on alternatives.  We have few java-* packages, this single "j" prefix being more common.  Other possibility is sleepscript, sleep-script.
Comment 6 Jaromír Cápík 2012-07-31 10:22:21 EDT
Hello Orion.

Any news here?

Thanks,
Jaromir.
Comment 7 Orion Poplawski 2012-08-01 18:46:26 EDT
Upstream's comment:

Hi Orion,
I'm not going to change anything on my end related to the name. You're
welcome to use something like sleepjava and that would probably work
very well.

-- Raphael

I guess I'm leaning towards java-sleep if "sleep" is truley unacceptable.
Comment 8 Jaromír Cápík 2012-09-27 04:42:20 EDT
Hi Orion.

I'm fine with the name. How is it going with the rest?

Regards,
Jaromir.
Comment 9 Orion Poplawski 2012-10-02 13:19:15 EDT
Are there other issues left?
Comment 10 Jaromír Cápík 2012-10-02 14:03:08 EDT
If not, then please, upload the final version of spec and srpm ...

Thanks,
Jaromir.
Comment 11 Orion Poplawski 2012-10-02 14:56:29 EDT
See comment #3 for the latest version.
Comment 12 Jaromír Cápík 2013-04-11 09:02:22 EDT
Hello Orion.

Any news here? This is probably some kind of misunderstanding.
The issues #1 and #5 are still valid. The FSF address is still incorrect. Explicit cleaning of the buildroot in the %install section is the same like cleaning it in the %clean section.

Regards,
Jaromir.
Comment 13 Orion Poplawski 2013-04-11 11:52:03 EDT
* Thu Apr 11 2013 Orion Poplawski <orion@cora.nwra.com> 2.1-4
- No buildroot cleanup in %%install
- Fix FSF address

Spec URL: http://www.cora.nwra.com/~orion/fedora/sleep.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/sleep-2.1-4.fc18.src.rpm
Comment 14 Jaromír Cápík 2013-04-15 12:14:36 EDT
Hi Orion.

We somehow forgot about the name conflict mentioned by Ralf. Could you please modify the package name to jsleep, java-sleep or sleep-java? That would be probably the last modification and the package is good to be approved.

Thanks,
Jaromir.
Comment 15 Orion Poplawski 2013-04-15 18:56:18 EDT
Well, in comment #8 you indicated you were fine with the name.  Personally I don't see a conflict here, but I can go with java-sleep if you insist.
Comment 16 Jaromír Cápík 2013-04-16 09:46:04 EDT
That's a misunderstanding only. In the #8 I wanted to say I'm fine with the new name you offered (-> java-sleep).
Comment 17 Orion Poplawski 2013-04-16 23:04:54 EDT
Okay, here we go:

http://www.cora.nwra.com/~orion/fedora/java-sleep-2.1-5.fc18.src.rpm
http://www.cora.nwra.com/~orion/fedora/java-sleep.spec

* Mon Apr 15 2013 Orion Poplawski <orion@cora.nwra.com> 2.1-5
- Rename to java-sleep
Comment 18 Jaromír Cápík 2013-04-17 08:50:29 EDT
rpmlint still says "E: incorrect-fsf-address" ... the reason for that is the last part of the line "MA  02111-1307" -> "MA  02110-1301". Please, fix the sed expression.

Anyway ... I hope you'll fix that and thus approving the package.
Comment 19 Jaromír Cápík 2013-04-17 08:58:08 EDT
I just found one more issue ... the api docs are present twice (in the javadoc subpackage = correct ... and in the main package too = incorrect). Please, remove them from the main package.
Comment 20 Orion Poplawski 2013-04-17 10:50:11 EDT
http://www.cora.nwra.com/~orion/fedora/java-sleep-2.1-6.fc18.src.rpm
http://www.cora.nwra.com/~orion/fedora/java-sleep.spec

* Wed Apr 17 2013 Orion Poplawski <orion@cora.nwra.com> 2.1-6
- Fully fix FSF address
- Remove javadoc api from main package docs

Thanks for the review!

New Package SCM Request
=======================
Package Name: java-sleep
Short Description: Multi-paradigm scripting language for Java
Owners: orion
Branches: f18 f19 el6
InitialCC:
Comment 21 Gwyn Ciesla 2013-04-17 11:13:01 EDT
Git done (by process-git-requests).
Comment 22 Orion Poplawski 2013-04-17 11:57:47 EDT
Checked in and built.

Note You need to log in before you can comment on or make changes to this bug.